Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade
Interface IXbrlUnit

All Known Implementing Classes:
  XbrlUnit

    public interface IXbrlUnit

Interfaz que debe cumplir una clase que pretende encapsular un objeto XBRL del tipo Unit
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.String` | `getCode()` Devuelve el code de un unit
`java.lang.String` | `getKey()` Devuelve el key de un unit
`java.lang.Object` | `getMeasure()` Devuelve el measure de un unit
`java.lang.String` | `getPrefix()` Devuelve el prefijo de un unit
`java.lang.Object` | `getUnitObject()` Devuelve el unit como object
`void` | `setCode(java.lang.String code)` Establece el code de un unit
`void` | `setKey(java.lang.String key)` Establece el key de un unit
`void` | `setMeasure(java.lang.Object measure)` Establece el measure de un unit
`void` | `setPrefix(java.lang.String prefix)` Establece el prefijo de un unit
`void` | `setUnitObject(java.lang.Object unitObject)` Establece el unit a partir de un object

Method Detail

### getKey

    java.lang.String getKey()

  Devuelve el key de un unit

  Returns:
    key del unit

### setKey

    void setKey(java.lang.String key)

  Establece el key de un unit

  Parameters:
    `key` - key del unit

### getCode

    java.lang.String getCode()

  Devuelve el code de un unit

  Returns:
    code del unit

### setCode

    void setCode(java.lang.String code)

  Establece el code de un unit

  Parameters:
    `code` - code del unit

### getPrefix

    java.lang.String getPrefix()

  Devuelve el prefijo de un unit

  Returns:
    prefijo del unit

### setPrefix

    void setPrefix(java.lang.String prefix)

  Establece el prefijo de un unit

  Parameters:
    `prefix` - prefijo de unit

### getMeasure

    java.lang.Object getMeasure()

  Devuelve el measure de un unit

  Returns:
    measure del unit

### setMeasure

    void setMeasure(java.lang.Object measure)

  Establece el measure de un unit

  Parameters:
    `measure` - mesaure del unit

### getUnitObject

    java.lang.Object getUnitObject()

  Devuelve el unit como object

  Returns:
    unit como object

### setUnitObject

    void setUnitObject(java.lang.Object unitObject)

  Establece el unit a partir de un object

  Parameters:
    `unitObject` - unit como object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD